import type { EventAlreadyExistsError } from '@castore/core';
import { eventAlreadyExistsErrorCode } from '@castore/core';
export declare class PostgresEventAlreadyExistsError extends Error implements EventAlreadyExistsError {
    code: typeof eventAlreadyExistsErrorCode;
    eventStoreId?: string;
    aggregateId: string;
    version: number;
    constructor({ eventStoreId, aggregateId, version, }: {
        eventStoreId?: string;
        aggregateId: string;
        version: number;
    });
}
//# sourceMappingURL=error.d.ts.map